enchant();
window.onload = preloadAssets;

var game;
var scene;
var group;

var SPRITE_SIZE = 32;

// \[X̓ǂݍ݂ȂǂōsB
function preloadAssets()
{
	game = new Game(320,480);
	game.onload = init;

	game.start();
}

// B
function init()
{
	game.scale = 1;
	game.fps = 30;
	
	scene = new Scene();
	scene.backgroundColor = "#ccc";

	group = new Group();
	group.x = 0;
	group.y = 0;
	
	var spriteA = new Sprite( SPRITE_SIZE, SPRITE_SIZE );
	spriteA.backgroundColor = "#66F";
	spriteA.x = 0;
	spriteA.y = 0;

	var spriteB = new Sprite( SPRITE_SIZE, SPRITE_SIZE );
	spriteB.backgroundColor = "#F66";
	spriteB.x = 32;
	spriteB.y = 32;

	// O[vɓo^B
	group.addChild( spriteA );
	group.addChild( spriteB );

	// O[vV[ɓo^B
	scene.addChild( group )

	game.pushScene(scene);
	
	main();
}

// CB
function main()
{
	// ^b`Cxgo^B
	scene.addEventListener(Event.TOUCH_START,touchStart);
	scene.addEventListener(Event.TOUCH_MOVE,touchMove);
	scene.addEventListener(Event.TOUCH_END,touchEnd);
}


// ^b`Jn.
function touchStart(e)
{
	group.x = e.x - ( SPRITE_SIZE / 2 );
	group.y = e.y - ( SPRITE_SIZE / 2 );
	console.log(e.type);
}

// ^b`.
function touchMove(e)
{
	group.x = e.x - ( SPRITE_SIZE / 2 );
	group.y = e.y - ( SPRITE_SIZE / 2 );
	console.log(e.type);
}

// ^b`I.
function touchEnd(e)
{
	console.log(e.type);
}


